summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-18 03:16:16 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-19 01:18:57 +0100
commit10c2ceaeed402f8f73447dbac9a1bfceb00aef02 (patch)
treef1a7b3fa698f79838aa088ba431bf9f2d2e78f2c /net-misc
parentprofiles: Drop obsolete net-misc/teamviewer mask (diff)
downloadgentoo-10c2ceaeed402f8f73447dbac9a1bfceb00aef02.tar.gz
gentoo-10c2ceaeed402f8f73447dbac9a1bfceb00aef02.tar.bz2
gentoo-10c2ceaeed402f8f73447dbac9a1bfceb00aef02.zip
net-misc/teamviewer: Drop last-rited versions
Closes: https://bugs.gentoo.org/620736 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/teamviewer/Manifest3
-rw-r--r--net-misc/teamviewer/files/teamviewer.sh47
-rw-r--r--net-misc/teamviewer/files/teamviewerd.conf6
-rw-r--r--net-misc/teamviewer/files/teamviewerd.init30
-rw-r--r--net-misc/teamviewer/teamviewer-10.0.46203.ebuild129
-rw-r--r--net-misc/teamviewer/teamviewer-11.0.67687.ebuild131
-rw-r--r--net-misc/teamviewer/teamviewer-12.0.85001.ebuild131
7 files changed, 0 insertions, 477 deletions
diff --git a/net-misc/teamviewer/Manifest b/net-misc/teamviewer/Manifest
index e4c120f019d..b427b9618be 100644
--- a/net-misc/teamviewer/Manifest
+++ b/net-misc/teamviewer/Manifest
@@ -1,6 +1,3 @@
DIST teamviewer-9.0.32150.deb 22898922 BLAKE2B 799aa6f48b69247a2695ca745e85d02ffa73df1375203dfc9da339673e6c18d861c4146ddbdc509bdc1114d5a2a7e5fdd4acf3c6e5da61fbba5aaa02fa4e3cfd SHA512 3e72ed5cab7a754a0aa75e533da92292ad004f66c55ac4c386b6f4a65cc41b14a8d9d7a5410dccdb90c1172cd33e52383289339ab44f0847a061655498ab8e4d
-DIST teamviewer_10.0.46203_i386.deb 43326592 BLAKE2B 874bad1cf2efdb7f4c1da69a625549b2c46e6a710ca3cf871dd21fd804b1b1b8294981d8f6e27c58231e51e41fb0dcd8f42f08adcefc4e2ded61c15fdc068425 SHA512 2133194b180648685a9e179df1a2888277f3038d9098d0d12b72de92026bdb969d90262514996df60dfcf6986e291ecb756fde9e0781fca5c872b5c82e5494ea
-DIST teamviewer_11.0.67687_i386.deb 47341822 BLAKE2B 3aa7d9af2c0c39fad22cec8391921d1034e2dc4bab70f9fb04c7dd7a9a8c23ae484717b3cf71856734bec08a26b4f409c205dde2b9b511b6d0fe78dc6182dc75 SHA512 3fbb0a2fc1bccd41ba9798305fada7e8266e1c9ed8509492ccb75e6f85995538ddc05ad72648e9f6c31cd5f17ad34f1ed3a300eeb38a4a703d3414c113d3e5a9
-DIST teamviewer_12.0.85001_i386.deb 46549564 BLAKE2B d3b821376c9385a1090e12708e17b8ad76f29f27c9d76ae140654eed7eca44d115275cd587462e52845260bd6616c88260c767350944730c30eac7c14467ae39 SHA512 4db490568936ec58a37157019071cf61ed5dde8b5951f6e524d1f64aa23f46dd40c8eda1e96a9d47c756c1427d82ccb9c58773b53dfa0ae60bbb94e03b4522a0
DIST teamviewer_13.0.5693_amd64.tar.xz 9694952 BLAKE2B 650814c3c63897e1024836528c6eaa4cc81064ffa16bece7f8d2fe633457e2795e2cef847175a88dbb389ba61d2597a02292e6bf610da25c92f97152560ea355 SHA512 75886b6d00991968ae0b0d3c55b4c07c6f1b1b24488b2d5ae866e35c26ee6e673e500c87845ba6850ffdc80e4612feff0fc5bbe9e39f2d0a94582e1800471dcc
DIST teamviewer_13.0.5693_i386.tar.xz 9583892 BLAKE2B 8e477978825431a01b37b61c28b903b36cd81365c7ec5df4ca8d4aec1ce8d24b49af60ed6c99c863acd26405254ae78c4ae4dfef1f8b7a5fb882e281c3c4f125 SHA512 be5e8e00755a38f2c70ceba88d9fb87c2cc8e9e284c86e22f95dddf919a37ee1f24ef1e02f042a339eaf863dbf255c873e3edcb038c04202b4ab0460e50b2503
diff --git a/net-misc/teamviewer/files/teamviewer.sh b/net-misc/teamviewer/files/teamviewer.sh
deleted file mode 100644
index 70fc4e8a80a..00000000000
--- a/net-misc/teamviewer/files/teamviewer.sh
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-
-tv="$(basename $0)"
-tvdir="/opt/${tv}"
-version="@TVV@"
-tvw_version=""
-prefix="${HOME}/.wine-${tv}"
-arch="win32"
-native=true
-
-if $native; then
- export WINEDLLPATH="${prefix}/drive_c/TeamViewer"
-else
- export WINEDLLPATH="${tvdir}/tv_bin/wine/lib:${tvdir}/tv_bin/wine/lib/wine:${prefix}/drive_c/TeamViewer"
- export PATH="${tvdir}/tv_bin/wine/bin:${PATH}"
-fi
-export WINEARCH="${arch}"
-export WINEPREFIX="${prefix}"
-
-if [ ! -d "${prefix}" ]; then
- echo "Creating prefix..."
- wineboot -i &> /dev/null
- mkdir -p "${prefix}/drive_c/TeamViewer"
-fi
-
-if [ -e "${prefix}/tvw-version" ]; then
- tvw_version=$(<"${prefix}/tvw-version")
-fi
-
-#If version has changed or new instance
-if [ "${version}" != "${tvw_version}" ]; then
- echo "Copying TeamViewer files to prefix..."
- cp -R "/opt/${tv}/wine/drive_c/TeamViewer" "${prefix}/drive_c/"
- echo "Creating config and log directories in ~/.config/teamviewer@TVMV@"
- mkdir -p "${HOME}"/.config/teamviewer@TVMV@/{config,logfiles}
- echo "${version}" > "${prefix}/tvw-version"
-fi
-
-TV_BASE_DIR="${tvdir}"
-TV_BIN_DIR="${TV_BASE_DIR}/tv_bin"
-TV_PROFILE="${prefix}"
-TV_LOG_DIR="${TV_PROFILE}/logfiles"
-TV_CFG_DIR="${TV_PROFILE}/config"
-TV_USERHOME="${HOME}"
-
-wine "C:\\TeamViewer\\TeamViewer.exe" "\${[@]}" &> \
- "${HOME}/.config/teamviewer@TVMV@/logfiles/$(date +%Y.%m.%d-%H:%M:%S)-wine.log"
diff --git a/net-misc/teamviewer/files/teamviewerd.conf b/net-misc/teamviewer/files/teamviewerd.conf
deleted file mode 100644
index e949660678b..00000000000
--- a/net-misc/teamviewer/files/teamviewerd.conf
+++ /dev/null
@@ -1,6 +0,0 @@
-# This entry can be used to specify a default daemon password.
-# It is set by running /etc/init.d/teamviewerd@TVV@ passwd.
-# The password must be between 8 and 12 characters, and special characters should
-# be avoided.
-
-PASSWD=""
diff --git a/net-misc/teamviewer/files/teamviewerd.init b/net-misc/teamviewer/files/teamviewerd.init
deleted file mode 100644
index 3ca37da3ebc..00000000000
--- a/net-misc/teamviewer/files/teamviewerd.init
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command=/opt/teamviewer@TVV@/tv_bin/teamviewerd
-command_args=-d
-description="daemon for TeamViewer"
-pidfile=/var/run/teamviewerd.pid
-
-extra_stopped_commands="passwd"
-
-passwd() {
- if [ -z "${PASSWD}" ]; then
- eerror "No password specified."
- exit 1
- fi
-
- ebegin "Attempting to change password."
- /opt/teamviewer@TVV@/tv_bin/teamviewerd --passwd "${PASSWD}"
- retr=$?
- case $retr in
- 0) einfo "Password successfully set." ;;
- 11|12) eerror "Password must be between 8 and 12 characters.";;
- 13) eerror "Invalid characters detected.";;
- 14) eerror "Password invalid. Validation failed.";;
- *) eerror "Unknown error code";;
- esac
- eend $retr
- exit $retr
-}
diff --git a/net-misc/teamviewer/teamviewer-10.0.46203.ebuild b/net-misc/teamviewer/teamviewer-10.0.46203.ebuild
deleted file mode 100644
index 3950aeb3453..00000000000
--- a/net-misc/teamviewer/teamviewer-10.0.46203.ebuild
+++ /dev/null
@@ -1,129 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils gnome2-utils systemd unpacker
-
-# Major version
-MV=${PV/\.*}
-MY_PN=${PN}${MV}
-DESCRIPTION="All-In-One Solution for Remote Access and Support over the Internet"
-HOMEPAGE="https://www.teamviewer.com"
-SRC_URI="https://download.teamviewer.com/download/version_${MV}x/${PN}_${PV}_i386.deb"
-
-IUSE="+system-wine"
-
-LICENSE="TeamViewer LGPL-2.1" #LGPL for bundled wine
-SLOT=${MV}
-KEYWORDS="-* ~amd64 ~x86"
-
-RESTRICT="bindist mirror"
-
-RDEPEND="
- system-wine? ( app-emulation/wine[abi_x86_32(-)] )
- dev-qt/qtcore:4[abi_x86_32(-)]
- dev-qt/qtgui:4[abi_x86_32(-)]
- dev-qt/qtwebkit:4[abi_x86_32(-)]
- media-libs/alsa-lib[abi_x86_32(-)]
- x11-libs/libICE[abi_x86_32(-)]
- x11-libs/libSM[abi_x86_32(-)]
- x11-libs/libX11[abi_x86_32(-)]
- x11-libs/libXau[abi_x86_32(-)]
- x11-libs/libXdamage[abi_x86_32(-)]
- x11-libs/libXdmcp[abi_x86_32(-)]
- x11-libs/libXext[abi_x86_32(-)]
- x11-libs/libXfixes[abi_x86_32(-)]
- x11-libs/libXrandr[abi_x86_32(-)]
- x11-libs/libXtst[abi_x86_32(-)]"
-
-QA_PREBUILT="opt/teamviewer${MV}/*"
-
-S=${WORKDIR}/opt/teamviewer/tv_bin
-
-src_prepare() {
- #epatch "${FILESDIR}/${P}-gentoo.patch"
- sed \
- -e "s/@TVV@/${MV}/g" \
- "${FILESDIR}"/${PN}d.init > "${T}"/init || die
- sed \
- -e "s:/opt/teamviewer:/opt/teamviewer${MV}:g" \
- "script//${PN}d.service" > "${T}/${PN}d.service" || die
- sed \
- -e "s/@TVV@/${PV}/g" \
- -e "s/@TVMV@/${MV}/g" \
- "${FILESDIR}"/${PN}.sh > "${T}"/sh || die
- if ! use system-wine; then
- sed -i "s/native=true/native=false/g" "${T}/sh" || die
- fi
-}
-
-src_install () {
- local destdir="/opt/${MY_PN}"
-
- # install wine prefix skeleton and reg keys
- insinto "${destdir}/wine/drive_c/"
- doins -r wine/drive_c/TeamViewer/
- # install bundled wine if necessary
- if ! use system-wine; then
- insinto "${destdir}/tv_bin/wine"
- doins -r wine/{lib,share}
- exeinto "${destdir}/tv_bin/wine/bin"
- doexe wine/bin/{wine,wine-preloader,wineserver}
- fi
- # fix permissions
- fperms 755 ${destdir}/wine/drive_c/TeamViewer/TeamViewer.exe
-
- # install wine wrapper
- exeinto "/opt/bin"
- newexe "${T}/sh" "${MY_PN}"
-
- # install teamviewer linux binaries
- exeinto "${destdir}/tv_bin"
- doexe TeamViewer_Desktop TVGuiDelegate TVGuiSlave.32
- use amd64 && doexe TVGuiSlave.64
-
- # install daemon binary and scripts
- exeinto "${destdir}/tv_bin"
- doexe ${PN}d
- newinitd "${T}/init" ${PN}d${MV}
- newconfd "${FILESDIR}/${PN}d.conf" ${PN}d${MV}
- systemd_newunit "${T}/${PN}d.service" ${PN}d${MV}.service
-
- # set up logdir
- keepdir /var/log/${MY_PN}
- dosym /var/log/${MY_PN} /opt/${MY_PN}/logfiles
-
- # set up config dir
- keepdir /etc/${MY_PN}
- dosym /etc/${MY_PN} /opt/${MY_PN}/config
-
- newicon -s 48 desktop/${PN}.png ${MY_PN}.png
- #dodoc ../doc/linux_FAQ_{EN,DE}.txt
- make_desktop_entry ${MY_PN} "TeamViewer ${MV}" ${MY_PN}
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- gnome2_icon_cache_update
-
- elog "TeamViewer from upstream uses an overly-complicated set of bash"
- elog "scripts to start the program. This has been simplified for Gentoo"
- elog "use. Any issues should be reported via bugzilla."
- if use system-wine; then
- elog
- elog "Due to bug #552016, when using system wine, one is not able to"
- elog "share one's own screen. At this time, this may be remedied by"
- elog "toggling the system-wine USE flag."
- fi
- elog
- elog "The end-user client requires running the accompanying daemon,"
- elog "available via init-scripts."
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}
diff --git a/net-misc/teamviewer/teamviewer-11.0.67687.ebuild b/net-misc/teamviewer/teamviewer-11.0.67687.ebuild
deleted file mode 100644
index 07243d0be1e..00000000000
--- a/net-misc/teamviewer/teamviewer-11.0.67687.ebuild
+++ /dev/null
@@ -1,131 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils gnome2-utils systemd unpacker
-
-# Major version
-MV=${PV/\.*}
-MY_PN=${PN}${MV}
-DESCRIPTION="All-In-One Solution for Remote Access and Support over the Internet"
-HOMEPAGE="https://www.teamviewer.com"
-SRC_URI="https://download.teamviewer.com/download/version_${MV}x/${PN}_${PV}_i386.deb"
-
-IUSE="+system-wine"
-
-LICENSE="TeamViewer LGPL-2.1" #LGPL for bundled wine
-SLOT=${MV}
-KEYWORDS="-* ~amd64 ~x86"
-
-RESTRICT="bindist mirror"
-
-RDEPEND="
- system-wine? ( app-emulation/wine[abi_x86_32(-),png] )
- !system-wine? ( media-libs/libpng:1.2[abi_x86_32(-)] )
- sys-apps/dbus[abi_x86_32(-)]
- dev-qt/qtcore:4[abi_x86_32(-)]
- dev-qt/qtgui:4[abi_x86_32(-)]
- dev-qt/qtwebkit:4[abi_x86_32(-)]
- media-libs/alsa-lib[abi_x86_32(-)]
- x11-libs/libICE[abi_x86_32(-)]
- x11-libs/libSM[abi_x86_32(-)]
- x11-libs/libX11[abi_x86_32(-)]
- x11-libs/libXau[abi_x86_32(-)]
- x11-libs/libXdamage[abi_x86_32(-)]
- x11-libs/libXdmcp[abi_x86_32(-)]
- x11-libs/libXext[abi_x86_32(-)]
- x11-libs/libXfixes[abi_x86_32(-)]
- x11-libs/libXrandr[abi_x86_32(-)]
- x11-libs/libXtst[abi_x86_32(-)]"
-
-QA_PREBUILT="opt/teamviewer${MV}/*"
-
-S=${WORKDIR}/opt/teamviewer/tv_bin
-
-src_prepare() {
- #epatch "${FILESDIR}/${P}-gentoo.patch"
- sed \
- -e "s/@TVV@/${MV}/g" \
- "${FILESDIR}"/${PN}d.init > "${T}"/init || die
- sed \
- -e "s:/opt/teamviewer:/opt/teamviewer${MV}:g" \
- "script//${PN}d.service" > "${T}/${PN}d.service" || die
- sed \
- -e "s/@TVV@/${PV}/g" \
- -e "s/@TVMV@/${MV}/g" \
- "${FILESDIR}"/${PN}.sh > "${T}"/sh || die
- if ! use system-wine; then
- sed -i "s/native=true/native=false/g" "${T}/sh" || die
- fi
-}
-
-src_install () {
- local destdir="/opt/${MY_PN}"
-
- # install wine prefix skeleton and reg keys
- insinto "${destdir}/wine/drive_c/"
- doins -r wine/drive_c/TeamViewer/
- # install bundled wine if necessary
- if ! use system-wine; then
- insinto "${destdir}/tv_bin/wine"
- doins -r wine/{lib,share}
- exeinto "${destdir}/tv_bin/wine/bin"
- doexe wine/bin/{wine,wine-preloader,wineserver}
- fi
- # fix permissions
- fperms 755 ${destdir}/wine/drive_c/TeamViewer/TeamViewer.exe
-
- # install wine wrapper
- exeinto "/opt/bin"
- newexe "${T}/sh" "${MY_PN}"
-
- # install teamviewer linux binaries
- exeinto "${destdir}/tv_bin"
- doexe TeamViewer_Desktop TVGuiDelegate TVGuiSlave.32
- use amd64 && doexe TVGuiSlave.64
-
- # install daemon binary and scripts
- exeinto "${destdir}/tv_bin"
- doexe ${PN}d
- newinitd "${T}/init" ${PN}d${MV}
- newconfd "${FILESDIR}/${PN}d.conf" ${PN}d${MV}
- systemd_newunit "${T}/${PN}d.service" ${PN}d${MV}.service
-
- # set up logdir
- keepdir /var/log/${MY_PN}
- dosym /var/log/${MY_PN} /opt/${MY_PN}/logfiles
-
- # set up config dir
- keepdir /etc/${MY_PN}
- dosym /etc/${MY_PN} /opt/${MY_PN}/config
-
- newicon -s 48 desktop/${PN}.png ${MY_PN}.png
- #dodoc ../doc/linux_FAQ_{EN,DE}.txt
- make_desktop_entry ${MY_PN} "TeamViewer ${MV}" ${MY_PN}
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- gnome2_icon_cache_update
-
- elog "TeamViewer from upstream uses an overly-complicated set of bash"
- elog "scripts to start the program. This has been simplified for Gentoo"
- elog "use. Any issues should be reported via bugzilla."
- if use system-wine; then
- elog
- elog "Due to bug #552016, when using system wine, one is not able to"
- elog "share one's own screen. At this time, this may be remedied by"
- elog "toggling the system-wine USE flag."
- fi
- elog
- elog "The end-user client requires running the accompanying daemon,"
- elog "available via init-scripts."
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}
diff --git a/net-misc/teamviewer/teamviewer-12.0.85001.ebuild b/net-misc/teamviewer/teamviewer-12.0.85001.ebuild
deleted file mode 100644
index 28819fde712..00000000000
--- a/net-misc/teamviewer/teamviewer-12.0.85001.ebuild
+++ /dev/null
@@ -1,131 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils gnome2-utils systemd unpacker
-
-# Major version
-MV=${PV/\.*}
-MY_PN=${PN}${MV}
-DESCRIPTION="All-In-One Solution for Remote Access and Support over the Internet"
-HOMEPAGE="https://www.teamviewer.com"
-SRC_URI="https://download.teamviewer.com/download/version_${MV}x/${PN}_${PV}_i386.deb"
-
-IUSE="+system-wine"
-
-LICENSE="TeamViewer LGPL-2.1" #LGPL for bundled wine
-SLOT=${MV}
-KEYWORDS="-* ~amd64 ~x86"
-
-RESTRICT="bindist mirror"
-
-RDEPEND="
- system-wine? ( app-emulation/wine[abi_x86_32(-),png] )
- !system-wine? ( media-libs/libpng:1.2[abi_x86_32(-)] )
- sys-apps/dbus[abi_x86_32(-)]
- dev-qt/qtcore:4[abi_x86_32(-)]
- dev-qt/qtgui:4[abi_x86_32(-)]
- dev-qt/qtwebkit:4[abi_x86_32(-)]
- media-libs/alsa-lib[abi_x86_32(-)]
- x11-libs/libICE[abi_x86_32(-)]
- x11-libs/libSM[abi_x86_32(-)]
- x11-libs/libX11[abi_x86_32(-)]
- x11-libs/libXau[abi_x86_32(-)]
- x11-libs/libXdamage[abi_x86_32(-)]
- x11-libs/libXdmcp[abi_x86_32(-)]
- x11-libs/libXext[abi_x86_32(-)]
- x11-libs/libXfixes[abi_x86_32(-)]
- x11-libs/libXrandr[abi_x86_32(-)]
- x11-libs/libXtst[abi_x86_32(-)]"
-
-QA_PREBUILT="opt/teamviewer${MV}/*"
-
-S=${WORKDIR}/opt/teamviewer/tv_bin
-
-src_prepare() {
- #epatch "${FILESDIR}/${P}-gentoo.patch"
- sed \
- -e "s/@TVV@/${MV}/g" \
- "${FILESDIR}"/${PN}d.init > "${T}"/init || die
- sed \
- -e "s:/opt/teamviewer:/opt/teamviewer${MV}:g" \
- "script//${PN}d.service" > "${T}/${PN}d.service" || die
- sed \
- -e "s/@TVV@/${PV}/g" \
- -e "s/@TVMV@/${MV}/g" \
- "${FILESDIR}"/${PN}.sh > "${T}"/sh || die
- if ! use system-wine; then
- sed -i "s/native=true/native=false/g" "${T}/sh" || die
- fi
-}
-
-src_install () {
- local destdir="/opt/${MY_PN}"
-
- # install wine prefix skeleton and reg keys
- insinto "${destdir}/wine/drive_c/"
- doins -r wine/drive_c/TeamViewer/
- # install bundled wine if necessary
- if ! use system-wine; then
- insinto "${destdir}/tv_bin/wine"
- doins -r wine/{lib,share}
- exeinto "${destdir}/tv_bin/wine/bin"
- doexe wine/bin/{wine,wine-preloader,wineserver}
- fi
- # fix permissions
- fperms 755 ${destdir}/wine/drive_c/TeamViewer/TeamViewer.exe
-
- # install wine wrapper
- exeinto "/opt/bin"
- newexe "${T}/sh" "${MY_PN}"
-
- # install teamviewer linux binaries
- exeinto "${destdir}/tv_bin"
- doexe TeamViewer_Desktop TVGuiDelegate TVGuiSlave.32
- use amd64 && doexe TVGuiSlave.64
-
- # install daemon binary and scripts
- exeinto "${destdir}/tv_bin"
- doexe ${PN}d
- newinitd "${T}/init" ${PN}d${MV}
- newconfd "${FILESDIR}/${PN}d.conf" ${PN}d${MV}
- systemd_newunit "${T}/${PN}d.service" ${PN}d${MV}.service
-
- # set up logdir
- keepdir /var/log/${MY_PN}
- dosym /var/log/${MY_PN} /opt/${MY_PN}/logfiles
-
- # set up config dir
- keepdir /etc/${MY_PN}
- dosym /etc/${MY_PN} /opt/${MY_PN}/config
-
- newicon -s 48 desktop/${PN}.png ${MY_PN}.png
- #dodoc ../doc/linux_FAQ_{EN,DE}.txt
- make_desktop_entry ${MY_PN} "TeamViewer ${MV}" ${MY_PN}
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- gnome2_icon_cache_update
-
- elog "TeamViewer from upstream uses an overly-complicated set of bash"
- elog "scripts to start the program. This has been simplified for Gentoo"
- elog "use. Any issues should be reported via bugzilla."
- if use system-wine; then
- elog
- elog "Due to bug #552016, when using system wine, one is not able to"
- elog "share one's own screen. At this time, this may be remedied by"
- elog "toggling the system-wine USE flag."
- fi
- elog
- elog "The end-user client requires running the accompanying daemon,"
- elog "available via init-scripts."
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}